Create a new warehouse
Create a new warehouse.
Required permissions: WAREHOUSE
post/tenants/{tenantUid}/stores/{storeUid}/warehouses
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
externalIdstringOptional
namestringRequired
warehouseUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
createdAtstring · date-timeRequired
externalIdstringRequired
lastModifiedAtstring · date-timeRequired
namestringRequired
warehouseUidstringRequiredPattern:
^[A-Za-z0-9-_]+post/tenants/{tenantUid}/stores/{storeUid}/warehouses
POST /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 57
{
"externalId": "text",
"name": "text",
"warehouseUid": "text"
}200
Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"externalId": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"name": "text",
"warehouseUid": "text",
"accessList": [
{
"role": "DELIVER",
"storeUid": "text",
"storeName": "text",
"warehouseUid": "text",
"warehouseName": "text",
"warehouseAccessUid": "text"
}
]
}Last updated
Was this helpful?

